
/* configure all options BEFORE including system stuff. */
#include    "config.h"
#include    "mud.h"
#include    "match.h"
#include    "vars.h"
#include    "look.h"

/*
TinyMUD-like "examine"
*/

/* ARGSUSED */

int cmd_examine (int argc, char *argv[], char *who, char *aswho)
{
  char *loc = ut_loc (who);

  if (argc > 1) {
    int x;
    char ob[MAXOID];

    for (x = 1; x < argc; x++) {
      if (matchlocal (who, argv[x], loc,
          MTCH_UNIQ | MTCH_MEOK | MTCH_NONLOC | MTCH_QUIET, ob)
        && matchlocal (who, argv[x], loc, MTCH_FRST, ob))
        continue;
      do_examine (who, aswho, ob);
    }
    return (UERR_NONE);
  } else {
    do_examine (who, aswho, loc);
    return (UERR_NONE);
  }
}
