/*
    Copyright (C) 1991, Marcus J. Ranum. All rights reserved.
*/

/* configure all options BEFORE including system stuff. */
#include    "config.h"
#include    "mud.h"
#include    "match.h"
#include    "vars.h"

/*
player movement. semi-tiny-mud-like
*/

/* ARGSUSED */
int cmd_go (int argc, char *argv[], char *who, char *aswho)
{
  char ob[MAXOID];
  char *here;
  char *actor;

  actor = run_actor ();
  here = ut_loc (actor);

  if (matchexit (actor, argv[1], here, MTCH_RAND | MTCH_EXACT, ob))
    return (UERR_NOMATCH);

  return (player_go (argc, argv, actor, here, ob));
}
