@echo off
if not [%1]==[] goto doit
echo. 
echo.Builds an UnterMUD hash database installation from the minimal database,
echo.DB/minimal_db.oif, at the specified directory path.
echo. 
echo.  usage: %0 directory_path
echo. 
goto end

:doit
echo.Building database...
for /l %%i in (0,1,10) do mkdir %1\hashdb\%%i
.\loaddb -hsv -i DB/minimal_db.oif -f %1\hashdb

echo.Building HELP...
mkdir %1\HELP
copy HELP\* %1\HELP 2>nul 1>nul

echo Building NEWS...
mkdir %1\NEWS
> %1\NEWS\welcome.txt echo Welcome to TestMud 
> %1\NEWS\connect.txt echo Connected to TestMud 

echo Creating configuration...
> %1\config echo _mudconfig chdir "%1" 
>> %1\config echo _mudconfig log "mud.log" 
>> %1\config echo _mudconfig name "TestMUD" 
>> %1\config echo _dbconfig hashpath "hashdb"
>> %1\config echo _netconfig playport 6565
>> %1\config echo _netconfig servport 6566 
copy DB\startup %1 2>nul 1>nul
echo Player port is 6565

:end
