#ifndef _INCL_SYM_H

#define SYSSYMWIDTH 31
typedef struct syssym {
  char *nam;
  char *def;
  char *owner;
  int typ;
  struct syssym *next;
} SysSym;


extern SysSym *systable[];

extern void syminit(void);
extern char *symlook(char *nam, int *t);
extern void symlist(char *who, char *nam);
extern int symdef(char *nam, char *def, int typ);
extern int symundef(char *nam);
extern int sympriv(char *nam, char *owner);
extern char *symowner(char *nam);

#define SFLG_NONE   000
#define SFLG_CMD    001
#define SFLG_UCMD   002
#define SFLG_SUID   010

#define _INCL_SYM_H
#endif
