/*
    Copyright (C) 1991, Marcus J. Ranum. All rights reserved.
*/

/* configure all options BEFORE including system stuff. */
#include    "config.h"
#include    "mud.h"
#include    "match.h"
#include    "vars.h"


/*
submit a command as someone else
*/

/* ARGSUSED */
int cmd__force (int argc, char *argv[], char *who, char *aswho)
{
  char ob[MAXOID];
  int ret;

  if (matchlocal (who, argv[1], ut_loc (who),
      MTCH_UNIQ | MTCH_MEOK | MTCH_NONLOC, ob))
    return (UERR_NOMATCH);

  ret = run (ob, ob, argv[2], 0, 0, 1);
  return (ret);
}
