/*
    Copyright (C) 1991, Marcus J. Ranum. All rights reserved.
*/

/* configure all options BEFORE including system stuff. */
#include    "config.h"
#include    "mud.h"
#include    "match.h"
#include    "vars.h"

/* ARGSUSED */
int cmd_kill (int argc, char *argv[], char *who, char *aswho)
{
  char ob[MAXOID];
  char *xx;

  if (matchplayers (who, argv[1], ut_loc (who), MTCH_UNIQ | MTCH_MEOK, ob))
    return (UERR_NOMATCH);
  ut_home_player (ob, ob, ut_loc (who));
  xx = ut_name (ob);
  ut_roombcast (ut_loc (who), who, xx, " has left.\n", ut_name (who),
    " killed ", xx, "!!\n", (char *) 0);
  say (who, "You killed ", xx, "!!\n");
  return (UERR_NONE);
}
