/*
    Copyright (C) 1991, Marcus J. Ranum. All rights reserved.
*/

/* configure all options BEFORE including system stuff. */
#include    "config.h"
#include    "mud.h"
#include    "match.h"
#include    "vars.h"
#include    "look.h"

/*
TinyMUD-like "look"
*/


/* ARGSUSED */
int cmd_look (int argc, char *argv[], char *who, char *aswho)
{
  char *loc = ut_loc (who);

  if (argc > 1) {
    int x;
    char ob[MAXOID];
    char *herpl;

    herpl = ut_getatt (loc, 0, typ_list, var_ply, (char *) 0);
    for (x = 1; x < argc; x++) {
      if (matchlocal (who, argv[x], loc, MTCH_RAND | MTCH_MEOK, ob))
        continue;
      if (herpl != (char *) 0 && lstlook (herpl, ob))
        lookat (who, ob, LOOK_CARRY | LOOK_USING);
      else
        lookat (who, ob, LOOK_PLAY | LOOK_CONT);
    }
    return (UERR_NONE);
  }

  lookat (who, loc, LOOK_NAME | LOOK_PLAY | LOOK_CONT);
  return (UERR_NONE);
}
