#include    "config.h"
#include    "mud.h"
#include    "u.h"
#include    "y.tab.h"


int ub_strlen (char *who, char *aswho, int ac, Nod * av[], Nod * retnode)
{
  if (ac != 1) {
    retnode->rv.t = VNULL;
    retnode->rv.iv = UERR_BADPARM;
    return UERR_BADPARM;
  }

  retnode->rv.iv = strlen (eval_caststr (av[0]));
  retnode->rv.t = NUM;

  return UERR_NONE;
}


int ub_world (char *who, char *aswho, int ac, Nod * av[], Nod * retnode)
{
  char *ptr = (char *) 0;

  retnode->rv.t = VNULL;
  retnode->rv.iv = UERR_BADPARM;

  if ((ac < 0) || (ac > 1))
    return UERR_BADPARM;

  if (ac)
    ptr = index (eval_caststr (av[0]), (int) '@');

  if (!ac || !ptr)
    ptr = mud_getname ();
  else
    ptr = tmpstr (++ptr);

  retnode->rv.cv = ptr;
  retnode->rv.t = STR;

  return UERR_NONE;
}
